MagicMirror² v2.13.0 is available! For more information about this release, check out this topic.

Cant start after update 2.13



  • Hi
    After the update the following error message appears.
    I’m a beginner but had no update problems in the last 2 years. I do not know where to start.
    I thank you in advance for your support.

    sh: 1: ./node_modules/.bin/electron: not found
    npm ERR! code ELIFECYCLE
    npm ERR! syscall spawn
    npm ERR! file sh
    npm ERR! errno ENOENT
    npm ERR! magicmirror@2.13.0 start: DISPLAY="${DISPLAY:=:0}" ./node_modules/.bin/electron js/electron.js
    npm ERR! spawn ENOENT
    npm ERR!
    npm ERR! Failed at the magicmirror@2.13.0 start script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

    npm ERR! A complete log of this run can be found in:
    npm ERR! /home/pi/.npm/_logs/2020-10-04T16_02_58_708Z-debug.log



  • @SuseGigabyte please tell me more… how did u install, what pi is this?



  • @sdetweil

    • Raspberry Pi 3 Model B Plus Rev 1.3

    • I updated with “git pull && npm install”

    I have to be honest. After that didn’t work I deleted the folder electron.
    That didn’t work either and in the meantime I don’t really know what to do anymore.
    I hope that I don’t have to do a complete new installation.
    Shame on me.



  • @SuseGigabyte lets try to recover

    do

    cd ~/MagicMirror
    npm install electron@6.1.7
    

    then try to restart mm… there may be other problems to solve



  • @sdetweil

    after command: npm install electron@6.1.7
    the following message appears:

    npm ERR! Unexpected end of JSON input while parsing near '… “p-locate”: {
    npm ERR! ’

    npm ERR! A complete log of this run can be found in:
    npm ERR! /home/pi/.npm/_logs/2020-10-04T16_40_18_667Z-debug.log

    after restart mm
    the following message appears:

    pi@raspberrypi:~/MagicMirror $ npm start

    magicmirror@2.13.0 start /home/pi/MagicMirror
    DISPLAY="${DISPLAY:=:0}" ./node_modules/.bin/electron js/electron.js

    sh: 1: ./node_modules/.bin/electron: not found
    npm ERR! code ELIFECYCLE
    npm ERR! syscall spawn
    npm ERR! file sh
    npm ERR! errno ENOENT
    npm ERR! magicmirror@2.13.0 start: DISPLAY="${DISPLAY:=:0}" ./node_modules/.bin/electron js/electron.js
    npm ERR! spawn ENOENT
    npm ERR!
    npm ERR! Failed at the magicmirror@2.13.0 start script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
    npm WARN Local package.json exists, but node_modules missing, did you mean to install?

    npm ERR! A complete log of this run can be found in:
    npm ERR! /home/pi/.npm/_logs/2020-10-04T16_43_10_392Z-debug.log



  • @SuseGigabyte what pi is this?
    also, show me the output of

    lsb_release -a 
    uname -a
    node -v
    npm -v
    


  • @sdetweil thank you for your patience.

    Raspberry Pi 3 Model B Plus Rev 1.3

    pi@raspberrypi:~/MagicMirror $ lsb_release -a
    No LSB modules are available.
    Distributor ID: Raspbian
    Description: Raspbian GNU/Linux 10 (buster)

    pi@raspberrypi:~/MagicMirror $ uname -a
    Linux raspberrypi 5.4.51-v7+ #1333 SMP Mon Aug 10 16:45:19 BST 2020 armv7l GNU/Linux

    pi@raspberrypi:~/MagicMirror $ node -v
    v10.22.1

    pi@raspberrypi:~/MagicMirror $ npm -v
    6.10.3



  • @SuseGigabyte hmmm… looks ok,

    i ‘suspect’ a bad sd card, but lets try one more time using my upgrade script
    from here

    execute this

    bash -c  "$(curl -sL https://raw.githubusercontent.com/sdetweil/MagicMirror_scripts/master/upgrade-script.sh)" force
    

    it will create a log file, MagicMirror/installers/upgrade.log



  • @sdetweil You’re a genius. I can’t thank you enough.
    After hours of blood, sweat and almost tears every thing went o.k.

    Do I have to do an additional command because of:

    added 394 packages from 287 contributors and audited 1163 packages in 412.313s
    found 3 low severity vulnerabilities
      run `npm audit fix` to fix them, or `npm audit` for details
    npm install completed - So Okt  4 19:08:08 CEST 2020 on base
    
    
    
    **upgrade.log**
    
    Upgrade started - So Okt  4 19:00:18 CEST 2020
    system is Linux raspberrypi 5.4.51-v7+ #1333 SMP Mon Aug 10 16:45:19 BST 2020 armv7l GNU/Linux
    the os is Distributor ID: Raspbian Description: Raspbian GNU/Linux 10 (buster) Release: 10 Codename: buster
    user requested to force apply changes
    doing test run = false
    
    saving custom.css
    remote name = origin
    upgrading from version 2.13.0 to 2.13.0
    fetching latest revisions
    git fetch rc=0
    current branch = master
    On branch master
    Your branch is up to date with 'origin/master'.
    
    Changes not staged for commit:
      (use "git add/rm ..." to update what will be committed)
      (use "git checkout -- ..." to discard changes in working directory)
    
    	deleted:    config/config.js.sample
    	modified:   installers/mm.sh
    	deleted:    modules/default/clock/README.md
    	modified:   modules/default/clock/clock.js
    	deleted:    modules/default/clock/clock_styles.css
    	modified:   modules/default/compliments/compliments.js
    	modified:   package-lock.json
    	modified:   package.json
    
    Untracked files:
      (use "git add ..." to include in what will be committed)
    
    	0
    	core
    	css/custom.css_Back
    	css/custom.css_Backup
    	css/save_custom.css
    	installers/pm2_MagicMirror.json
    	js/socketclient.js_heute
    	js/socketclient.js_mod
    	js/socketclient.js_modified
    	js/socketclient.js_org
    	modules/default/back_clock/
    	modules/default/compliments/compliments.js_org
    	package-lock.json_back
    	package-lock.json_back_1
    	package.json_back
    	package.json_back_1
    
    no changes added to commit (use "git add" and/or "git commit -a")
    there are 5 local files that are different than the master repo
    
       installers/mm.sh
       modules/default/clock/clock.js
       modules/default/compliments/compliments.js
       package-lock.json
       package.json
    
    save/restore files selection = y
    Speicherte Arbeitsverzeichnis und Index-Status WIP on master: 3dbe8bf Merge pull request #2143 from MichMich/develop
    test merge result rc='' , if empty, no conflicts
    executing merge, apply specified
    merge result rc= 0
     Already up to date.
    processor architecture is armv7l
    updating MagicMirror runtime, please wait
    
    > console-stamp@0.2.9 postinstall /home/pi/MagicMirror/node_modules/console-stamp
    > node ./msg.js
    
    Attention
        Console-stamp version 3.0.0 Release Candidate is out. Install by using the tag '@next'. NB: Breaking changes.
        For more details goto: https://www.npmjs.com/package/console-stamp/v/next
    
    
    > electron@6.1.12 postinstall /home/pi/MagicMirror/node_modules/electron
    > node install.js
    
    
    > magicmirror@2.13.0 install /home/pi/MagicMirror
    > echo "Installing vendor files ...
    " && cd vendor && npm install --loglevel=error
    
    Installing vendor files ...
    
    audited 24 packages in 2.478s
    found 0 vulnerabilities
    
    
    > magicmirror@2.13.0 postinstall /home/pi/MagicMirror
    > npm run install-fonts && echo "MagicMirror installation finished successfully! 
    "
    
    
    > magicmirror@2.13.0 install-fonts /home/pi/MagicMirror
    > echo "Installing fonts ...
    " && cd fonts && npm install --loglevel=error
    
    Installing fonts ...
    
    audited 1 package in 2.715s
    found 0 vulnerabilities
    
    MagicMirror installation finished successfully! 
    
    added 394 packages from 287 contributors and audited 1163 packages in 412.313s
    found 3 low severity vulnerabilities
      run `npm audit fix` to fix them, or `npm audit` for details
    npm install completed - So Okt  4 19:08:08 CEST 2020 on base
    fixing sandbox permissions
    downloading dumpactivemodules script
    
    processing dependency changes for active modules with package.json files
    processing for module netatmo please wait
    


  • @SuseGigabyte no additional commands required

    in the future, please use code wrapper for posts with messages like this… (mark the text and hit the </> button)


Log in to reply